﻿using System;

namespace DomainModel.ReviewDomainModel.EntityFactory
{
    using DomainModel.ReviewDomainModel.Entity;

    public class ReviewFactory
    {
        public Review TransformReview(DateTime lastEditDate, string reviewTitle, int id)
        {
            if (lastEditDate > DateTime.Now && !string.IsNullOrEmpty(reviewTitle)) //领域规则
            {
                return new Review(lastEditDate, new ReviewTitle() { ShowTitle = reviewTitle }, id);
            }
            return null;
        }
    }
}
