﻿using System;

namespace DomainModel.ReviewDomainModel.Entity
{
    public class Review
    {
        public DateTime LastEditDate { get; private set; }
        public ReviewTitle Title { get; private set; }
        public int Id { get; private set; }

        public Review(DateTime lastEditDate, ReviewTitle title, int id)
        {
            this.LastEditDate = lastEditDate;
            this.Title = title;
            this.Id = id;
        }

        public bool SetLastEditDate(DateTime datetime)
        {
            if (datetime > this.LastEditDate)
            {
                this.LastEditDate = datetime;
                return true;
            }
            return false;
        }
    }
}